Instala GIMP 2.9 en ArchLinux / Manjaro

gimp_02

Todos sabemos que GIMP é un moi bo editor de imaxes, pero ten algunhas deficiencias na falta dalgunhas funcionalidades que o seu rival propietario (Photoshop) xa ten. É por iso que na versión de desenvolvemento estiveron traballando nestas novas funcións

  • Máximo apoio de 64 bits de cor por canle.
  • Novo motor de renderizado GEGL 3.
  • Ferramenta de transformación unificada, é dicir, transformando unha área seleccionada dunha capa, sen necesidade de transformar toda a capa.
  • Ferramenta Warp.
  • Soporte parcial para o uso de GPU e núcleos múltiples (CPU).
  • Modo de ventá única por defecto
  • Entre outras características.

O principal problema é que o código fonte está dispoñible nos PPA de Ubuntu, polo que tomei o tempo para crear un paquete AUR. Como son novo en Linux, tardei unhas horas en crealo.

Instalamos gimp 2 con:

yaourt -S gimp-devel

Indicaralle que o conflito gimp-devel e gimp, escriba "S" ou "Y". Unha vez instalado só é necesario executalo no terminal ou no menú de aplicacións:

gimp-2.9

Se xa tiñas instalado Gimp, vai a:

Editar > Preferencias > Botón reiniciar

Ben, ata agora o tutorial, é a miña primeira entrada, espero escribir máis para DesdeLinux. Por certo, se atopan algún erro durante a instalación avísame en andrew_ultimate@hotmail.com ou se se trata dun erro, comunícao no launchpad.

 


O contido do artigo adhírese aos nosos principios de ética editorial. Para informar dun erro faga clic en aquí.

23 comentarios, deixa os teus

Deixa o teu comentario

Enderezo de correo electrónico non será publicado. Os campos obrigatorios están marcados con *

*

*

  1. Responsable dos datos: Miguel Ángel Gatón
  2. Finalidade dos datos: controlar SPAM, xestión de comentarios.
  3. Lexitimación: o seu consentimento
  4. Comunicación dos datos: os datos non serán comunicados a terceiros salvo obrigación legal.
  5. Almacenamento de datos: base de datos aloxada por Occentus Networks (UE)
  6. Dereitos: en calquera momento pode limitar, recuperar e eliminar a súa información.

  1.   Azureus dixo

    Oes, que bo o soporte multi-core

    Agarda ... ten GIMP un modo de xanela única?

    1.    isaac dixo

      Desde a versión 2.8

  2.   eliotime3000 dixo

    O modo de ventá única por defecto ... GIMP definitivamente atraerá a máis usuarios na súa próxima versión.

    1.    Ignacio dixo

      A alguén lle gustou moito o modo multi-ventá?
      Sempre me pareceu bastante incómodo

      1.    Andrew dixo

        Non, non era moi cómodo, pero aínda así funciona para persoas con dúas ou máis pantallas.

  3.   castarco dixo

    A ver cando conseguimos Gimp 2.10 🙂, con todo estou preocupado pola falta de visión e comprensión dentro do equipo de Gimp sobre o tema dos espazos de cor. Cometeron un salvaxe difícil de solucionar e que terá graves consecuencias fronte á competencia con outros programas de edición gráfica: tendo en conta que todo se pode facer traballando no espazo sRGB "ampliado".

    Deixo unha ligazón a un artigo que o explicou moi ben (tómoo de Archive.org porque por algunha razón agora só queda a entrada do artigo):
    https://web.archive.org/web/20141104053858/http://ninedegreesbelow.com/photography/sad-state-of-high-bit-depth-gimp-color-management.html

  4.   Sebastian dixo

    E o soporte CMYK? Iso para os que realizan traballos de impresión vén de perlas.

    1.    Andrew dixo

      Lea isto, pouco despois de levar GEGL, empezarán a traballar http://wiki.gimp.org/index.php/Roadmap

      1.    Ignacio dixo

        É certo, non pensara nese XD. A verdade é que só o uso como unha pequena afección, supoño que algún profesional debería ser moi útil

  5.   JoZ3 dixo

    En manjaro aparece o seguinte erro:

    erro: destino non atopado: dbus-gliblibexif

    1.    Andrew dixo

      De momento escribe, xa o soluciono
      sudo pacman -S libexif

      1.    Andrew dixo

        resolto escribín isto
        'dbus-glib' 'libexif'
        no canto disto
        'dbus-glib' 'libexif'

        XD

      2.    JoZ3 dixo

        Ola Andrew, non sei o que vou fallar, pero isto é o único que instalou o gimp-devel:

        http://imgur.com/CCp78td

      3.    Andrew dixo

        Reinstale o paquete Tiven un problema co PKGBUILD e non instalou esas bibliotecas
        volve escribir
        yaourt -S gimp-devel

      4.    JoZ3 dixo

        Andrew definitivamente só instala os ficheiros que se amosan na imaxe anterior e non atopo en ningún sitio ningún binario que teña un nome como gimp-2.9 ou algo así, tampouco aparece no menú de aplicacións ... Eu uso Manjaro 0.8.12 .64 de XNUMX bits

    2.    Andrew dixo

      Elimina os paquetes e as dependencias, reinstálao e segue funcionando para min, non sei que che pode pasar, xa que dixen que é o meu primeiro paquete e non lin ningunha guía, fíxeno por ollo é por iso que pode ter problemas, pero non teño ningún problema en ArchLinux + Cinnamon

      1.    JoZ3 dixo

        Probarei noutra ocasión, de todos os xeitos, Andrew moitas grazas pola contribución 🙂

  6.   Eugenio dixo

    Polo de agora uso 2.8, pero noto un certo "atraso" ao mover fragmentos de imaxe, mentres que outros programas como libreoffice ou krita, os noto moito máis fluídos.
    ¿Pasache?

  7.   Guillermo dixo

    Teño instalado Ubuntu 14.04 e non podo instalar gimp 2.9
    Na terminal, unha vez escrito o indicado, o sistema responde: «xa: non se atopou a orde»
    Qué debería facer.
    grazas

    1.    pecador dixo

      HA HA HA HA HA HA !!!
      ubuntu + yaourt ????
      home, e se falamos de perdido !!!!
      $ sudo apt install gimp

    2.    Juan Ponce Riquelme dixo

      hahahajjaajajajajajajjajjaa

    3.    kyke dixo

      Hahahahahahahahahaha, fixeches o meu día. Jajajjaajajajajajaja